Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706366 - sci-electronics/iverilog-10.3 : fails to build with -fno-common or gcc-10
Summary: sci-electronics/iverilog-10.3 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: vowstar
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-25 21:19 UTC by Toralf Förster
Modified: 2020-02-17 07:23 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.85 KB, text/plain)
2020-01-25 21:19 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,49.25 KB, text/plain)
2020-01-25 21:19 UTC, Toralf Förster
Details
environment (environment,61.36 KB, text/plain)
2020-01-25 21:19 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.62 KB, application/x-bzip)
2020-01-25 21:20 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,7.93 KB, application/x-bzip)
2020-01-25 21:20 UTC, Toralf Förster
Details
sci-electronics:iverilog-10.3:20200125-205451.log (sci-electronics:iverilog-10.3:20200125-205451.log,89.54 KB, text/plain)
2020-01-25 21:20 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,24.73 KB, application/x-bzip)
2020-01-25 21:20 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-25 21:19:49 UTC
mv a_vcl.d dep
x86_64-pc-linux-gnu-gcc -I. -I..  -DHAVE_CONFIG_H -DICARUS_VPI_CONST=const -fPIC -Wall -Wextra -Wshadow -Wstrict-prototypes  -O2 -pipe -march=native -fno-common -MD -c a_version.c -o a_version.o
mv a_version.d dep
x86_64-pc-linux-gnu-ld  -r -o libveriuser.o asynch.o delay.o exprinfo.o finish.o getcstringp.o getinstance.o getlongp.o getp.o getsimtime.o io_print.o math.o mc_scan_plusargs.o nodeinfo.o nump.o putlongp.o putp.o spname.o typep.o workarea.o veriusertfs.o priv.o a_close.o a_compare_handles.o a_configure.o a_fetch_argc.o a_fetch_argv.o a_fetch_dir.o a_fetch_fullname.o a_fetch_location.o a_fetch_param.o a_fetch_range.o a_fetch_tfarg.o a_fetch_time.o a_fetch_type.o a_fetch_type_str.o a_fetch_value.o a_handle_by_name.o a_handle_hiconn.o a_handle_object.o a_handle_parent.o a_handle_simulated_net.o a_handle_tfarg.o a_initialize.o a_next.o a_next_bit.o a_next_port.o a_next_topmod.o a_object_of_type.o a_product_version.o a_set_value.o a_vcl.o a_version.o
x86_64-pc-linux-gnu-ld: exprinfo.o:(.bss+0x0): multiple definition of `pli_trace'; delay.o:(.bss+0x0): first defined here
x86_64-pc-linux-gnu-ld: getp.o:(.bss+0x0): multiple definition of `pli_trace'; delay.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sat, 25 Jan 2020 19:46:08 +0000

emerge -qpvO sci-electronics/iverilog
[ebuild  N    ] sci-electronics/iverilog-10.3  USE="-examples"
Comment 1 Toralf Förster gentoo-dev 2020-01-25 21:19:51 UTC
Created attachment 604408 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-25 21:19:54 UTC
Created attachment 604410 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-25 21:19:57 UTC
Created attachment 604412 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-25 21:20:00 UTC
Created attachment 604414 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-25 21:20:02 UTC
Created attachment 604416 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-25 21:20:06 UTC
Created attachment 604418 [details]
sci-electronics:iverilog-10.3:20200125-205451.log
Comment 7 Toralf Förster gentoo-dev 2020-01-25 21:20:08 UTC
Created attachment 604420 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-02-17 07:23:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4202315a5c0a34f3ce0be67ef3216efbae1c6532

commit 4202315a5c0a34f3ce0be67ef3216efbae1c6532
Author:     Huang Rui <vowstar@gmail.com>
AuthorDate: 2020-01-30 07:32:15 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-02-17 07:23:23 +0000

    sci-electronics/iverilog: fix 10.3 gcc-10 build problem
    
    gcc-10 and above flipped a default from -fcommon to -fno-common:
    https://gcc.gnu.org/PR85678
    Usually all it takes is to add a few 'extern' declarations and
    move definitions from header files to modules. I've port iverilog
    to gcc-10.
    
    Closes: https://bugs.gentoo.org/706366
    Package-Manager: Portage-2.3.85, Repoman-2.3.20
    Signed-off-by: Huang Rui <vowstar@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/14619
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 .../iverilog/files/iverilog-10.3-fno-common.patch  | 33 ++++++++++++++++++++++
 sci-electronics/iverilog/iverilog-10.3.ebuild      |  1 +
 2 files changed, 34 insertions(+)